[SOLVED] Update proxmox-acme dns plugin

Apr 1, 2021
7
6
3
49
Hi, my DNS-provider (Loopia) updated their API a couple of weeks ago which broke the dns_loopia.sh plugin. I submitted a bugfix to the official acme.sh repo and it has now been merged into their "master" branch. My question is, how can this bugfix be merged into Proxmox VE (and PBS, and PMG...)?
I have some certificates which expire in two weeks so a quick merge with upstream would be great :)
 

fabian

Proxmox Staff Member
Staff member
Jan 7, 2016
7,473
1,392
164
no promises for a sync and rollout in the next two weeks, but if you wrote the upstream fix you can trivially apply that to your local copy as well (/usr/share/proxmox-acme/dnsapi/..., then reload pvedaemon and pveproxy) - the next update of proxmox-acme-plugins should contain a sync of all plugins with upstream and then overwrite your local fix with the proper one. if anything goes wrong, simply reinstall that package to revert to the stock version.
 
  • Like
Reactions: gabbegubben
Apr 1, 2021
7
6
3
49
no promises for a sync and rollout in the next two weeks, but if you wrote the upstream fix you can trivially apply that to your local copy as well (/usr/share/proxmox-acme/dnsapi/..., then reload pvedaemon and pveproxy) - the next update of proxmox-acme-plugins should contain a sync of all plugins with upstream and then overwrite your local fix with the proper one. if anything goes wrong, simply reinstall that package to revert to the stock version.
Thanks, that is of course the simplest solution.
 
Apr 1, 2021
7
6
3
49
no promises for a sync and rollout in the next two weeks, but if you wrote the upstream fix you can trivially apply that to your local copy as well (/usr/share/proxmox-acme/dnsapi/..., then reload pvedaemon and pveproxy) - the next update of proxmox-acme-plugins should contain a sync of all plugins with upstream and then overwrite your local fix with the proper one. if anything goes wrong, simply reinstall that package to revert to the stock version.
Sorry for bringing this up again, but I just realized that my patched plugin was overwritten by a version still containing the bug on April 26th. The patch was merged on March 14th (https://github.com/acmesh-official/acme.sh/commit/9ebb2ac2e4e0e5489700721c1ec9729ac27de5cd).
Just hoping that you are able to sync the plugins before you update libproxmox-acme-plugins again :)
 

fabian

Proxmox Staff Member
Staff member
Jan 7, 2016
7,473
1,392
164
yeah, the last update was just fixing a missing function stub, not doing a full resync of all plugins ;)
 
  • Like
Reactions: gabbegubben

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!